This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 970631 - (CVE-2013-2194, CVE-2013-2195, CVE-2013-2196) CVE-2013-2194 CVE-2013-2195 CVE-2013-2196 xen: Multiple vulnerabilities in libelf PV kernel handling
CVE-2013-2194 CVE-2013-2195 CVE-2013-2196 xen: Multiple vulnerabilities in li...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130603,repo...
: Security
Depends On: 970637 970638 970640
Blocks: 970653
  Show dependency treegraph
 
Reported: 2013-06-04 09:30 EDT by Petr Matousek
Modified: 2014-06-11 05:06 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-11 05:06:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Original Xen Security Advisory #55v4 (8.39 KB, text/plain)
2013-06-14 13:00 EDT, Petr Matousek
no flags Details

  None (edit)
Description Petr Matousek 2013-06-04 09:30:13 EDT
The ELF parser used by the Xen tools to read domains' kernels and
construct domains has multiple integer overflows, pointer dereferences
based on calculations from unchecked input values, and other problems.

A malicious PV domain administrator who can specify their own kernel
can escalate their privilege to that of the domain construction tools
(i.e., normally, to control of the host).

References:

http://lists.xen.org/archives/html/xen-devel/2013-06/msg00223.html

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 4 Petr Matousek 2013-06-04 09:37:52 EDT
Created xen tracking bugs for this issue

Affects: fedora-all [bug 970640]
Comment 5 Petr Matousek 2013-06-07 13:06:16 EDT
Update:

http://www.openwall.com/lists/oss-security/2013/06/07/5
Comment 8 Fedora Update System 2013-06-13 02:50:47 EDT
xen-4.2.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-06-13 22:28:42 EDT
xen-4.2.2-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Petr Matousek 2013-06-14 13:00:13 EDT
Created attachment 761352 [details]
Original Xen Security Advisory #55v4

Updated Xen Security Advisory with fixed patch series git changeset ids in xen.git.

Reference:

http://seclists.org/oss-sec/2013/q2/561
Comment 11 Fedora Update System 2013-06-16 01:44:27 EDT
xen-4.1.5-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-06-23 23:24:33 EDT
xen-4.2.2-7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-06-23 23:26:09 EDT
xen-4.1.5-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-06-29 14:46:58 EDT
xen-4.2.2-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Petr Matousek 2014-06-11 05:06:34 EDT
Statement:

The risks associated with fixing this issue are greater than its security impact. This issue is not currently planned to be addressed in future xen updates for Red Hat Enterprise Linux 5.

Note You need to log in before you can comment on or make changes to this bug.